summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-04-03 07:19:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-04-03 07:19:44 +0000
commit9e426ecb90b903cc0e690f5d0723e410ddfa5219 (patch)
treeecb8de4e95c084ff9cbace041bdcdb476b54d4fd /dev-python
parent9e16d6169d91c7bec36433d5f94ba175b222c2da (diff)
downloadbaldeagleos-repo-9e426ecb90b903cc0e690f5d0723e410ddfa5219.tar.gz
baldeagleos-repo-9e426ecb90b903cc0e690f5d0723e410ddfa5219.tar.xz
baldeagleos-repo-9e426ecb90b903cc0e690f5d0723e410ddfa5219.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/bitarray/Manifest3
-rw-r--r--dev-python/bitarray/bitarray-3.7.2.ebuild24
-rw-r--r--dev-python/bitarray/bitarray-3.8.1.ebuild (renamed from dev-python/bitarray/bitarray-3.7.1.ebuild)4
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.42.82.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.42.82.ebuild67
-rw-r--r--dev-python/channels/Manifest6
-rw-r--r--dev-python/channels/channels-3.0.5.ebuild41
-rw-r--r--dev-python/channels/channels-4.2.2.ebuild34
-rw-r--r--dev-python/channels/channels-4.3.2.ebuild62
-rw-r--r--dev-python/channels/files/channels-4.3.2-fix-install.patch14
-rw-r--r--dev-python/channels/metadata.xml11
-rw-r--r--dev-python/charset-normalizer/Manifest2
-rw-r--r--dev-python/charset-normalizer/charset-normalizer-3.4.7.ebuild45
-rw-r--r--dev-python/dbus-fast/Manifest1
-rw-r--r--dev-python/dbus-fast/dbus-fast-4.0.4.ebuild62
-rw-r--r--dev-python/django-debug-toolbar/Manifest4
-rw-r--r--dev-python/django-debug-toolbar/django-debug-toolbar-6.3.0.ebuild (renamed from dev-python/django-debug-toolbar/django-debug-toolbar-6.1.0.ebuild)2
-rw-r--r--dev-python/google-api-core/Manifest2
-rw-r--r--dev-python/google-api-core/google-api-core-2.30.2.ebuild55
-rw-r--r--dev-python/googleapis-common-protos/Manifest2
-rw-r--r--dev-python/googleapis-common-protos/googleapis-common-protos-1.74.0.ebuild33
-rw-r--r--dev-python/jupyter-lsp/Manifest2
-rw-r--r--dev-python/jupyter-lsp/jupyter-lsp-2.3.1.ebuild (renamed from dev-python/jupyter-lsp/jupyter-lsp-2.2.6.ebuild)9
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/marshmallow/Manifest4
-rw-r--r--dev-python/marshmallow/marshmallow-4.2.4.ebuild (renamed from dev-python/marshmallow/marshmallow-4.2.2.ebuild)0
-rw-r--r--dev-python/mediafile/Manifest1
-rw-r--r--dev-python/mediafile/mediafile-0.15.0.ebuild31
-rw-r--r--dev-python/more-itertools/Manifest2
-rw-r--r--dev-python/more-itertools/more-itertools-11.0.1.ebuild (renamed from dev-python/more-itertools/more-itertools-10.7.0.ebuild)4
-rw-r--r--dev-python/openapi-core/Manifest4
-rw-r--r--dev-python/openapi-core/openapi-core-0.23.1.ebuild (renamed from dev-python/openapi-core/openapi-core-0.23.0_beta1.ebuild)17
-rw-r--r--dev-python/peewee/Manifest1
-rw-r--r--dev-python/peewee/peewee-4.0.4.ebuild83
-rw-r--r--dev-python/pybtex/Manifest2
-rw-r--r--dev-python/pybtex/pybtex-0.26.0.ebuild (renamed from dev-python/pybtex/pybtex-0.25.0.ebuild)9
-rw-r--r--dev-python/pydevd/Manifest1
-rw-r--r--dev-python/pydevd/pydevd-3.5.0.ebuild142
-rw-r--r--dev-python/pypugjs/Manifest2
-rw-r--r--dev-python/pypugjs/pypugjs-6.0.2.ebuild (renamed from dev-python/pypugjs/pypugjs-5.12.0.ebuild)18
-rw-r--r--dev-python/python-discovery/python-discovery-1.2.1.ebuild2
-rw-r--r--dev-python/redis/redis-7.2.1.ebuild2
-rw-r--r--dev-python/rq/rq-2.7.0.ebuild2
-rw-r--r--dev-python/setuptools-scm/setuptools-scm-10.0.5.ebuild2
-rw-r--r--dev-python/tox/tox-4.51.0.ebuild3
-rw-r--r--dev-python/vcs-versioning/vcs-versioning-1.1.1.ebuild2
-rw-r--r--dev-python/virtualenv/virtualenv-21.2.0.ebuild2
-rw-r--r--dev-python/werkzeug/Manifest2
-rw-r--r--dev-python/werkzeug/werkzeug-3.1.8.ebuild53
54 files changed, 779 insertions, 181 deletions
diff --git a/dev-python/bitarray/Manifest b/dev-python/bitarray/Manifest
index e9a0c70258f5..e972d0b7433c 100644
--- a/dev-python/bitarray/Manifest
+++ b/dev-python/bitarray/Manifest
@@ -1,3 +1,2 @@
-DIST bitarray-3.7.1.tar.gz 150474 BLAKE2B a9ec3964b7741b8020775c6da9232e71d53bf9bdfa95da522bde6c1b2104bd5fa596ed8e145d1f3b8bea75b2aceb231ccbc19e9b4d5055c5c07f087810a9fd77 SHA512 f13109670923f567cedbf56ce6c6259b8b970727fdee786df76f839ec613fba88c13e2b9d8352635f4351ede4b66c57edcc610ef710cf8cfbbd43e03614e25cd
-DIST bitarray-3.7.2.tar.gz 150586 BLAKE2B 9fc9656dd2034c0649bc0dbd85aa3f007872bb1bf821b01c6d3356589f36b9f6d5fa5aa0a39040d2f703ed3e0966c4e77a615a9f2e04b6b10522084015fa8336 SHA512 066f3e5c816fa29d641544c34634052c28a8aa37fe88a76faf583ccd69fed33b34b99b9de67abb4b4e1fa4883fbf91dfac7a87ff464b5b4da3261e8d22ad22a5
DIST bitarray-3.8.0.tar.gz 151991 BLAKE2B 5721536d392ec2843377476339d042992f948c3ba8823746d55acf2a1d1ba0c0c4446732c8735c47a170bd0828a6047a13674a5681bae208071bf2d8a0de0adf SHA512 c7825190a421a33ad7ed503b6dc259bfab675406a229c688c14c458165ff189d64b4601f269218c22cb89c665e1ee71bc2eda1f55317b4bfbeaa538893d03cf8
+DIST bitarray-3.8.1.tar.gz 152471 BLAKE2B be95b93ca030837253baf0172a3a93d9995be58da742371e24641a62d7b03008f19198c5d799cca8c848c55c8ebee10c463454147375799d5e2c9d0315421bd0 SHA512 ae471b099fcc10b3d37c16934aaadaf2e9bab06295a1ae5c948b792cfcd0e5fbaa4f37c01dad120a005785f65e981cad288e88d4a7fd3d58d7170e8b19fad759
diff --git a/dev-python/bitarray/bitarray-3.7.2.ebuild b/dev-python/bitarray/bitarray-3.7.2.ebuild
deleted file mode 100644
index 612721048490..000000000000
--- a/dev-python/bitarray/bitarray-3.7.2.ebuild
+++ /dev/null
@@ -1,24 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Efficient arrays of booleans -- C extension"
-HOMEPAGE="
- https://github.com/ilanschnell/bitarray/
- https://pypi.org/project/bitarray/
-"
-
-LICENSE="PSF-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 x86"
-
-python_test() {
- "${EPYTHON}" bitarray/test_bitarray.py -v || die "Tests fail with ${EPYTHON}"
-}
diff --git a/dev-python/bitarray/bitarray-3.7.1.ebuild b/dev-python/bitarray/bitarray-3.8.1.ebuild
index 612721048490..de2db466006e 100644
--- a/dev-python/bitarray/bitarray-3.7.1.ebuild
+++ b/dev-python/bitarray/bitarray-3.8.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="PSF-2"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
python_test() {
"${EPYTHON}" bitarray/test_bitarray.py -v || die "Tests fail with ${EPYTHON}"
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index c0c1ee9f2f87..151f5b6d9202 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -11,3 +11,4 @@ DIST boto3-1.42.78.gh.tar.gz 1104761 BLAKE2B 989dc99fbe05c2e5fa28bda83897a411dbf
DIST boto3-1.42.79.gh.tar.gz 1106670 BLAKE2B 8d923b7100c7f7ca13fa901bd44eeb0f92708eb9037b9de24dc50ec86d1fa07b216a74cf2cd171a1665e09031b77c6041329ec91d79ebb248747a47835ac3c86 SHA512 9efca961e98bc8a2ec48f75add7986a72f6127f0f04d38975ee5714d4df5655a5e63aefff25233c363cfc9509155d06ed7d9f85aecbf08ff82178dc41bdb896f
DIST boto3-1.42.80.gh.tar.gz 1109800 BLAKE2B e06367dd5352ce86e8728f1fec3f532c5454db1e4e56c29acbd89836aee9fc9f9334526281c8f3fb556f37c14e4fca1b3ed0f9b0f52681a0f057df17aec7dfa2 SHA512 42a68bc87c467e486e46a6a5d8f245e30c26bc1e6adce1eb4e80bc0a5f5eee8a8dadc480893e57de81e754962428713e5463c4584a303460098ce8cd379b91d6
DIST boto3-1.42.81.gh.tar.gz 1111714 BLAKE2B e1fcbd03038945e05019f78c25fd75ae864089c56267109abb4ef4a7d3d26ef526aadc193fae30b4c3bb62654b748e3821c08a4a63b1af9f204e37ec0e11a7ea SHA512 8e9396ce48c825bbac269296eaf008c0cce3a1db962bc4200d88527caa8dcd37629a30a68ea03c7f69a349e74440114dbd7066e7e8142bb95b8234dc684ecc1a
+DIST boto3-1.42.82.gh.tar.gz 1113301 BLAKE2B aa5d4d619dc860e5420b883b2338880fe3c92644b3ce1c36ef2f36a1559ce685c2171deb05da7a648993f36615e16731d0f45f2ca928caa86919eb06f88c6dec SHA512 0731ab9d7d154f7bfd5147d4d3427ac7c7411291d1bfc18331ac5279f10172f9dfcc673c33c625f32dbf9d569884124feabcdaadd98232ca01485727e01dd0a7
diff --git a/dev-python/boto3/boto3-1.42.82.ebuild b/dev-python/boto3/boto3-1.42.82.ebuild
new file mode 100644
index 000000000000..6e5f06a012ad
--- /dev/null
+++ b/dev-python/boto3/boto3-1.42.82.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.16.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index e5db7607d560..21fb3799ac11 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -11,3 +11,4 @@ DIST botocore-1.42.78.gh.tar.gz 15931724 BLAKE2B d0732ac14bb37ce0fd326b2edcdf066
DIST botocore-1.42.79.gh.tar.gz 15971759 BLAKE2B 8955138791758156fcb2466a9349fe6484acf1154ef94cdfa1a219d2f45074ea412d361cea1679be36105e258b7a9bc30c3a9ae2d8120670cf95b82c9e053cb9 SHA512 8c06fdb9eacdcb41206004ed9c4c5eafb4e7bc7f0863e3a20917c5e57b0564ed5d997bef4ca6c1aa549a1b251260b77d6ab835a31750176944024bd9ba731718
DIST botocore-1.42.80.gh.tar.gz 16017374 BLAKE2B 9dcde4cff744a4750697fe29a7ff77d1499ebe0fd84d69eedebe48bfa77d40f471b9cd453ba10ee32c463e209e370bc3b09bdcb2c833f80844e2865da3e906b1 SHA512 3c176c11b59d650ca8aca9fb3a8ad04b34c7f237285f242cc7aa44dffb4240551e938f312ee691edb1cfae6da4230172259a6209a67eea2885cee65beb516c65
DIST botocore-1.42.81.gh.tar.gz 16039038 BLAKE2B d19b15cd1d86f22fce8e5d37700563d43f9a741a7112c50d5a81ead2250809a57d9d6c3d4a1949bae4c3a256cd0d29227ffa4b934442a6cbb022468060e4f49d SHA512 f2355d6586e54c80c7c242fe9a8867acba91c778e963a493720196dd1fae25cb87c6a5cba54f8b7a1a0311b13981dddae599af197a201eb6e235bb1b881e9c94
+DIST botocore-1.42.82.gh.tar.gz 16051844 BLAKE2B baa57f26ec74779011f60842beb2962a5862dd86c3ae60e9fb7502061a24b34c948ac72b069190036e7908f67834aa2d58b9b7e5b97071abde0d08c13e78e396 SHA512 765a3de528b3c1f804e3b9b590248da24ff02cb353d6df1645fa95978679013f325e57c8b39b09c580a6491e2188db14239159d26d97dc43d58a2b3d35e078fa
diff --git a/dev-python/botocore/botocore-1.42.82.ebuild b/dev-python/botocore/botocore-1.42.82.ebuild
new file mode 100644
index 000000000000..f6ce0d9ed8d5
--- /dev/null
+++ b/dev-python/botocore/botocore-1.42.82.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/channels/Manifest b/dev-python/channels/Manifest
index 93bbf2713782..b58c0c2009cc 100644
--- a/dev-python/channels/Manifest
+++ b/dev-python/channels/Manifest
@@ -1 +1,5 @@
-DIST channels-4.3.2.gh.tar.gz 206077 BLAKE2B c0913d67dc74bc728dd828584cf803b4ad175bab717de71ccf1e1c5b6aaca296fd15d011deb07b2876e63b7daaefab5e5ee24c323e907b3c563f5358759f14b8 SHA512 29d9c91aca721fad44143978863c45812bf596bb65cf99084803f78d85c664d5cc7ca1015df151cdc27754b822c9cfd18102989b6e5f59bc50257f6c9d8b8b3e
+DIST channels-3.0.5.gh.tar.gz 200118 BLAKE2B 7a7653f986face1e87369917317db013e5c9fc912c6e2d7c737054ffef167bd01feb48f7e2d00d0d331e7a16093478e5416645717aed59e46dfec8f9b3641a2e SHA512 b12d1aec9602b702b5a097e9ca52dccad49940f82fcbe5594890c9bd1f1879a2fcf0f29630ca53e4972a26853df8f71d07d7b2cccd876abbf2417a76dee281bf
+DIST channels-4.2.2.gh.tar.gz 197010 BLAKE2B 321bf62c68038ce511145acd43c036dd298d58056f20ab2d676c3e3a8d6360a86a4f07c8f9ed6c123f888c012d69da22cfae4fb477dd5422cf326bf2de6a4c8f SHA512 8f7c8f27981988fed8ec254db91ce0a130b24842949ef94cc9ae21b4a259a7003654ec86c4e18aa81924e26d9b81b6a2aafaac404e490cbdda6b4a100476917a
+EBUILD channels-3.0.5.ebuild 936 BLAKE2B 788d0e9a2822dd9d0ed2d1d1a62135aeb5f244710b66f7591962518a5204cde5b8e779280783dd1d1a1b1a3fa9b272a0eb457f1d88d62c8ecefc8f67384929ef SHA512 89003fa68c7ab1cdd1a329f4389ba6fe28f491217a70c03b2979a992b450d8aa1a02f024f073ad5fc0aa1d093d81c6c8b1adaa45bdc9a179f5bd1607d85c13ef
+EBUILD channels-4.2.2.ebuild 829 BLAKE2B e5946c4a0eaf9fb3ffa2092a3d5d49d3d6ee16f151483fa2b716c8bab3350eca5e330a22822f881421d8882ffb970f4c56154c613477d094319e46addf1a5537 SHA512 84ce30d87a654c1a89ac299fb0f6447ca9c736e4b63497d83fc2687384e9cbe8094ba8f5021a19f726f9bae97c6b6d11eddef6a9ee5c275efe827bf95d3848ec
+MISC metadata.xml 445 BLAKE2B b4c0a41d6caadfbc53cbba3c41f8b7689a286b3f8d285c37a88a1f79d8dc350b82fea255048c022b92091a1e0cc67bf19645d6c32183b82a6dd49cccadf5078f SHA512 380c8b98efe8d9a2513c51899b7de90b115d4a51f104f46b552ff8929c322850e511e245a2ba0e976213416ae7241a17292ca98248caacfc891fcdcf5cea5d44
diff --git a/dev-python/channels/channels-3.0.5.ebuild b/dev-python/channels/channels-3.0.5.ebuild
new file mode 100644
index 000000000000..03a4923889fe
--- /dev/null
+++ b/dev-python/channels/channels-3.0.5.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extends Django abilities beyond HTTP protocol"
+HOMEPAGE="https://github.com/django/channels"
+SRC_URI="https://github.com/django/${PN}/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/async-timeout[${PYTHON_USEDEP}]
+ >=dev-python/daphne-3.0[${PYTHON_USEDEP}]
+ <dev-python/daphne-4.0[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( README.rst )
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # https://github.com/django/channels/issues/1915
+ echo 'asyncio_mode = auto' >> setup.cfg
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/channels/channels-4.2.2.ebuild b/dev-python/channels/channels-4.2.2.ebuild
new file mode 100644
index 000000000000..710613a7cbd1
--- /dev/null
+++ b/dev-python/channels/channels-4.2.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extends Django abilities beyond HTTP protocol"
+HOMEPAGE="https://github.com/django/channels"
+SRC_URI="https://github.com/django/${PN}/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ >=dev-python/asgiref-3.5.0[${PYTHON_USEDEP}]
+ >=dev-python/django-4.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/async-timeout[${PYTHON_USEDEP}]
+ >=dev-python/daphne-4.0.0[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx-rtd-theme
diff --git a/dev-python/channels/channels-4.3.2.ebuild b/dev-python/channels/channels-4.3.2.ebuild
deleted file mode 100644
index ffafd1ece52b..000000000000
--- a/dev-python/channels/channels-4.3.2.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 2026 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1 #pypi
-
-DESCRIPTION="Brings async, event-driven capabilities to Django"
-HOMEPAGE="
- https://channels.readthedocs.io/
- https://github.com/django/channels/
- https://pypi.org/project/channels/
-"
-# no tests in sdist
-SRC_URI="
- https://github.com/django/channels/archive/refs/tags/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- <dev-python/asgiref-4[${PYTHON_USEDEP}]
- >=dev-python/asgiref-3.9.0[${PYTHON_USEDEP}]
- >=dev-python/django-4.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/async-timeout[${PYTHON_USEDEP}]
- dev-python/selenium[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_IGNORE=(
- # avoid daphne as it requires autobahn
- tests/sample_project/tests/test_selenium.py
- tests/security/test_websocket.py
- tests/test_database.py
- tests/test_generic_http.py
- tests/test_generic_websocket.py
- tests/test_http.py
- tests/test_testing.py
-)
-
-EPYTEST_PLUGINS=( pytest-django pytest-asyncio )
-distutils_enable_tests pytest
-
-PATCHES=(
- "${FILESDIR}"/channels-4.3.2-fix-install.patch
-)
-
-python_prepare_all() {
- # avoid daphne as it requires autobahn
- sed -e '/"daphne"/d' -i tests/sample_project/config/settings.py || die
-
- distutils-r1_python_prepare_all
-}
diff --git a/dev-python/channels/files/channels-4.3.2-fix-install.patch b/dev-python/channels/files/channels-4.3.2-fix-install.patch
deleted file mode 100644
index 18eca8f75445..000000000000
--- a/dev-python/channels/files/channels-4.3.2-fix-install.patch
+++ /dev/null
@@ -1,14 +0,0 @@
-diff --git a/setup.cfg b/setup.cfg
-index 742e1f6..43d8c0d 100644
---- a/setup.cfg
-+++ b/setup.cfg
-@@ -52,7 +52,7 @@ types =
-
- [options.packages.find]
- exclude =
-- tests
-+ tests*
-
- [flake8]
- exclude = venv/*,tox/*,docs/*,testproject/*,build/*
-
diff --git a/dev-python/channels/metadata.xml b/dev-python/channels/metadata.xml
index 0dec5a678a5f..7093cae71294 100644
--- a/dev-python/channels/metadata.xml
+++ b/dev-python/channels/metadata.xml
@@ -2,10 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>negril.nx+gentoo@gmail.com</email>
- <name>Paul Zander</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
- <stabilize-allarches/>
+ <upstream>
+ <bugs-to>https://github.com/django/channels/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/charset-normalizer/Manifest b/dev-python/charset-normalizer/Manifest
index e5791017418d..0f24e4400d8d 100644
--- a/dev-python/charset-normalizer/Manifest
+++ b/dev-python/charset-normalizer/Manifest
@@ -4,3 +4,5 @@ DIST charset_normalizer-3.4.5.tar.gz 134804 BLAKE2B 632f80f4afc5ed131ef7154cdfc3
DIST charset_normalizer-3.4.5.tar.gz.provenance 9583 BLAKE2B 8ab9655ddbf42e167d90d327c68826c803fc320cd54c90aba1fe09f2d383b58f58dabd19a7cce1c98a6d95cfdc8323af626aea32636d4f123c798607b729c9ef SHA512 d8aaeef462c2ef47196f69837cefe34d908457c51d0b8f25b4a1b1bbf875f1e3f7b97a175fd19a870c04adb5453fb46719b92518d95f43f3eb8a723cba9bde8a
DIST charset_normalizer-3.4.6.tar.gz 143363 BLAKE2B fe06d11b1293f11265f14322f58b51edfd7ad137efd5fe9b51d21aca0c21269d813ef3d1f6448ac21217b253399053ab9246d0edb74ff88ed15a24245c50e00d SHA512 4108b46e103c7b6d1ad3b63f04fdef991246c933cfad05897c0bc3d65b1e5b2aefd9ab50e4d270004a5bfbc0410b8133e0bcab86e9902ff31e6a498d31daeb19
DIST charset_normalizer-3.4.6.tar.gz.provenance 9540 BLAKE2B 6f5eddb585ff17c06a7c8c1c8b6abc45f0388934e68c08c6238120831c7f302fdbee6db1b6e303d6c1360a0cc5c85e9affe6d68f2d3d5ffc88a9e47da6e540a3 SHA512 33d061e52ceae37d4123abcdae0aaddfdfd63c5706b49aaca610e3c586641282badb967e74274d0f7f4a53d36aa8b24eff630901e52187f8ce31cebc14c6e6bd
+DIST charset_normalizer-3.4.7.tar.gz 144271 BLAKE2B 46baf0eb8691da293f19206eaa9006b46c365291f57ed8a51d1d97771134cf6a280d25d0ef31712d2526d2013f71645c9906c0ac540c0ffea572f3ea502b375c SHA512 e0682214fc75b5e2a2ce5284ead57ca2883f4151c1dbdfd8399c38ca14251fa53b6f598f87408b1d6dbd5636bf627eec481b582dfe3f314cad761b5d63433250
+DIST charset_normalizer-3.4.7.tar.gz.provenance 9402 BLAKE2B 9e3905ea5aa0fb8577b5ccfb2684eb3afc6ab59a45fef0d07167ee0b78f1ee5136548c46ba023e928145b52abc7ac79178117c323e2f7b98deefc0cac616b417 SHA512 d90705ed0ab90ef4502984712ee01ffc859fcbceb0b28201f8e53525a7290f64ffbc9bbe27d784663e92cde592216ce9ed8a8b7ab2e14ab6b89eac293e1b2494
diff --git a/dev-python/charset-normalizer/charset-normalizer-3.4.7.ebuild b/dev-python/charset-normalizer/charset-normalizer-3.4.7.ebuild
new file mode 100644
index 000000000000..c0e00bbdb313
--- /dev/null
+++ b/dev-python/charset-normalizer/charset-normalizer-3.4.7.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+DISTUTILS_EXT=1
+PYPI_VERIFY_REPO=https://github.com/jawah/charset_normalizer
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="The Real First Universal Charset Detector"
+HOMEPAGE="
+ https://pypi.org/project/charset-normalizer/
+ https://github.com/jawah/charset_normalizer/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ $(python_gen_cond_dep '
+ dev-python/mypy[${PYTHON_USEDEP}]
+ ' python3.{11..14})
+ )
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_compile() {
+ local -x CHARSET_NORMALIZER_USE_MYPYC=$(usex native-extensions 1 0)
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ epytest -o addopts=
+}
diff --git a/dev-python/dbus-fast/Manifest b/dev-python/dbus-fast/Manifest
index 4cc5aed70462..7ba6c9b59d14 100644
--- a/dev-python/dbus-fast/Manifest
+++ b/dev-python/dbus-fast/Manifest
@@ -1,3 +1,4 @@
DIST dbus-fast-3.1.2.gh.tar.gz 205618 BLAKE2B 83d92eaa8477849238d5fd814a73c223a43adfcfa8752ac287c8f6cc9116e804a3300fc25ebb9cccbbb51c0db3c1495328822666ff1fdf993ac87758b7be21ad SHA512 d897a2612dfedb07005f212e48c6eaf7271b58145d690a0fbe66d1a39085739ccf626c6155aebae9f96ce9e9136fc496d6d3ba806813acc1f3023b1e4e924897
DIST dbus-fast-4.0.0.gh.tar.gz 208875 BLAKE2B 8382f28e46e0600af414329d017606a5d4d47ad6d2cc146ec95e3276bdac869a92b1727e0bc4ab4068b74b71549efd01174de183d5417f2790282b51947d10b7 SHA512 768b054f8475658e7bab3d88c573f916e38f81c2f17c7f39b46adac592377b5d5238f653068b2a594e587bd4d2f2295dd797df08901c9ed30ca33027f5761088
DIST dbus-fast-4.0.3.gh.tar.gz 208955 BLAKE2B 5ab575387468940da13c526ddf1d36ea2802745d50e0828a0632ab6dcd600f28d3598734bfdfc158e8e2286a58ea22c37998c562d8bcb095d4a44522618dbe08 SHA512 d117ce93c991f8a4e46581800fcce7b6863d8ed2a170ebfbff07dc00a936a4d2a4e46c1dd9dab879f234fef4392f9cfddf631ac82cd76748235205c634bf9d22
+DIST dbus-fast-4.0.4.gh.tar.gz 209703 BLAKE2B b59bded537f19d90edcda03a3469e430a2fe4dfe2b9bea4a8ab0db825a7a419fc56410e2c38267f88aae1d9e1810e87875f56f70c29f497e29dff9d347cea44a SHA512 622e4030a97b6684b3d0e0848fd2d6e5029d3082ab009dd1a2802bb8dce1afb37722aeb9b2626f0c22f3f7c888571b5ccf1f39d24e0f3bf06f4490012bee0136
diff --git a/dev-python/dbus-fast/dbus-fast-4.0.4.ebuild b/dev-python/dbus-fast/dbus-fast-4.0.4.ebuild
new file mode 100644
index 000000000000..99ccc67c3c1c
--- /dev/null
+++ b/dev-python/dbus-fast/dbus-fast-4.0.4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+# TODO: freethreading compatible
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="A faster version of dbus-next"
+HOMEPAGE="
+ https://github.com/bluetooth-devices/dbus-fast/
+ https://pypi.org/project/dbus-fast/
+"
+SRC_URI="
+ https://github.com/Bluetooth-Devices/dbus-fast/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.4.1[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/pycairo-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/pygobject-3.50[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,timeout} )
+distutils_enable_tests pytest
+
+export REQUIRE_CYTHON=1
+
+src_test() {
+ local dbus_params=(
+ $(dbus-daemon --session --print-address --fork --print-pid)
+ )
+ local -x DBUS_SESSION_BUS_ADDRESS=${dbus_params[0]}
+
+ virtx distutils-r1_src_test
+
+ kill "${dbus_params[1]}" || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # interface not found on this object: org.freedesktop.DBus.Debug.Stats
+ tests/client/test_signals.py::test_signals
+ )
+ local EPYTEST_IGNORE=(
+ tests/benchmarks
+ )
+
+ nonfatal epytest -o addopts= || die
+}
diff --git a/dev-python/django-debug-toolbar/Manifest b/dev-python/django-debug-toolbar/Manifest
index 8c344daf7f65..dddc146024c2 100644
--- a/dev-python/django-debug-toolbar/Manifest
+++ b/dev-python/django-debug-toolbar/Manifest
@@ -1,4 +1,4 @@
-DIST django_debug_toolbar-6.1.0.tar.gz 309141 BLAKE2B 885d69d0a93eaaca1c713acfa0a0c78b5f7d53f7f4d9a59707564a132312008cbc95177d2718c86e754d7f7b1546170f398cbad5f14c60337bfb6254de3e4691 SHA512 e2eaa16460b3cb81666984136e3ad492dad9444f356757c95c94ea23547fcb5a7c7d8928e325ff1b0e08b6ce1b5cbe58bbc52933a8bb3a78676bc39a0f0c752a
-DIST django_debug_toolbar-6.1.0.tar.gz.provenance 10248 BLAKE2B 7dee60be72a31a7a35e434ddc0f58933175385d3c1c306c6beb901f125e5314d067fb24cdf1a0a145479f561b47eb1451f01a0b4b0d1424cc7ed4434d1182e04 SHA512 86e14abbabdf4d17131bdb8952e6791c2cb2603c99c232852ccd44475cdb33d871a8e26b6019b088478ae2707730c35939424b33f33232e2e3365855dfa3a610
DIST django_debug_toolbar-6.2.0.tar.gz 313779 BLAKE2B 2199e67245f5ae9d9b77690080317ec8eefac6b23db005151fc040d7acece00601f084aa5fefc6e8424a186ab4608e56ee1f08477a6a1ca5610c96403dad4a5b SHA512 8a724d56758821ed0ada3faced62b61676c7c590e3a94af2889f5386b492bf2118c5cff534895922d8a6bdf3388a221765ebbc4a727ac5eee8e9ed15361ea10c
DIST django_debug_toolbar-6.2.0.tar.gz.provenance 9901 BLAKE2B e436af84063a5cd23a1c46f36bbda597ba3293645a5608d6fba70d08df67888638cb8c5c27e6530548fa9868cc436f29b776976ccc35597f3c2c073950c38b05 SHA512 ff97bcffa93a200e70095ced7882015dafc9f9d4370aef68ad60cec822c0229311cadc82fd5c92f736a480c50ff65a523cd16ff5272b2d44c7b3daf771914fe7
+DIST django_debug_toolbar-6.3.0.tar.gz 334079 BLAKE2B 915fbf49bea584d4fec79f5f93b7520e3be59343ff7fbff34293aa8249bcf4ac4d1190977d1e8cb1a249561f3f5539f343126a9dfe0b66a212776421a8ff2528 SHA512 07db996bdb044855ba011c58e3d9b90a43dbb9b54ec170ab22b97ede2ccaff06de9a3fe9823beaddb681c4f11d5df060f8655307c346af02b15a32c70fc7241b
+DIST django_debug_toolbar-6.3.0.tar.gz.provenance 9964 BLAKE2B 6f1806e35927ff864b287ca2cccbcce5b5498cce5479f2ceedf9fc1af77f47e7ef272ea14bcf120fc7d0a7e0f9cf7bac341be4720dbb1a4eb6ed07fdca748825 SHA512 8c72d5e1f28af1e4775b2cd65edb13bc34817ed79978ef22f8cefefcb0393566200636e5746b278c9b0ec5cb981392b495a98b4b90d02069afa1d53e1b44af6e
diff --git a/dev-python/django-debug-toolbar/django-debug-toolbar-6.1.0.ebuild b/dev-python/django-debug-toolbar/django-debug-toolbar-6.3.0.ebuild
index e673f24d4b4b..e11444738de7 100644
--- a/dev-python/django-debug-toolbar/django-debug-toolbar-6.1.0.ebuild
+++ b/dev-python/django-debug-toolbar/django-debug-toolbar-6.3.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2023-2025 Gentoo Authors
+# Copyright 2023-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/google-api-core/Manifest b/dev-python/google-api-core/Manifest
index 12fd961298f4..d00d5279eb72 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1,4 +1,6 @@
DIST google_api_core-2.30.0.tar.gz 176959 BLAKE2B 2efe155280c9f1ceed4c89be1f458fca2787c18532596e21cf8262f091a28cf2551fc67e8c7c2cc1bc918163f0a4793553b0496edd345d3fab5c381094d1b1f0 SHA512 8501e3ded2bb8de8549601da138c2c635f0b8f54ca19251d2a66eac75944aa2efa5bcb9427dcf0845ef7c612c8129f6c113fbf42fbbdc787b0e76d57562b6ca8
DIST google_api_core-2.30.0.tar.gz.provenance 5818 BLAKE2B 9fa55ad67d35ed1765553f585dbb4b237bfdb1f05564c5199610cdaff1659a93e90439e9f4e4436bd7aec5468c8bec38b9028b2f299dd43ee1323d48cf0ae5f1 SHA512 1ca3bb2c23acbbadaba8bcbb64169d6430dd7c491f34294a430b86e9a7c462d7c8459c4a3485155ad4f24cbbc1d081d511866b72678514d719674aab6e55d2ae
DIST google_api_core-2.30.1.tar.gz 176742 BLAKE2B 2e5f67f9d37544eb8d5f0991babc57b58246dbfbf31037503c8523d5e9c4dec9e081b353b8ab0a8d54dda3be30a2c23ffa2b0ecdc686b7f5a52e94fda3fbc16c SHA512 82feb714d1182705dd08c5b3f7606d8341fe765825b034eeb90c789f717157f208b241f27feda143daa240d86dbfe22e24dcbbb1812b9e6bb3c7ef5690b8ec86
+DIST google_api_core-2.30.2.tar.gz 176862 BLAKE2B 700bcebabfa41d653d1fe3b55bb4f70aaff80b9152b819e4af60e1b2440e242a131b275ef26ccef8ae2062c4e5a5b4a985a37dd6910492492e2f3b75755ee543 SHA512 5626a9f3bb1faf83ad3e3caf9093b7514ef2c3ac391a6227b0eabb0b59ec9e5a19f86eba85320db152068053cf05f7a28e1e17437d60d4272d380c8319c7b50a
+DIST google_api_core-2.30.2.tar.gz.provenance 5896 BLAKE2B bdc2e34b15ae52c58090c2e6e88a86a206919825fbb7cfe33edafe5e6b76e78060e080be69e0a0b348c0ff3f47ef0b2a511de3e398543fbec20095e7d2b05169 SHA512 2e0fe2f790e27f386ee49d68e004ffc2ca8e43df1eaeda40c43c2aed61dad5820c5d01ac2225a7ecd6804014a81727fec6e789f706951b6dcdcb5995018a3001
DIST python-api-core-2.28.1.gh.tar.gz 222422 BLAKE2B d4a82bd12c61232efe92fd4d28d01262f67baf38c55f71ba23ae51d30fd108ea75af69c65ed117ff4662add7eec279ea08a8d77f87f6cd814092535a0e44522c SHA512 4bde79d79e05d918ec477de1dc944f0ff54ac46b25c124a9b9198e21b03d836447d88dd209f0be0b96c5323396496468e5865aa33f932fcf712818fe21040f55
diff --git a/dev-python/google-api-core/google-api-core-2.30.2.ebuild b/dev-python/google-api-core/google-api-core-2.30.2.ebuild
new file mode 100644
index 000000000000..503a14d980d2
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.30.2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 2020-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=gcp:google-cloud-sdk-py@oss-exit-gate-prod.iam.gserviceaccount.com
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+ https://github.com/googleapis/google-cloud-python/
+ https://pypi.org/project/google-api-core/
+ https://googleapis.dev/python/google-api-core/latest/index.html
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="grpc"
+
+RDEPEND="
+ >=dev-python/googleapis-common-protos-1.63.2[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/proto-plus-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-4.25.8[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ grpc? (
+ >=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ >=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,mock} )
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # The grpc_gcp module is missing to perform a stress test
+ tests/unit/test_grpc_helpers.py
+)
+
+python_test() {
+ rm -rf google || die
+ epytest tests
+}
diff --git a/dev-python/googleapis-common-protos/Manifest b/dev-python/googleapis-common-protos/Manifest
index 23ed6bf595e8..ed41cc9ea505 100644
--- a/dev-python/googleapis-common-protos/Manifest
+++ b/dev-python/googleapis-common-protos/Manifest
@@ -3,3 +3,5 @@ DIST googleapis_common_protos-1.73.0.tar.gz 147323 BLAKE2B 6c471d1f246affbfd2e9f
DIST googleapis_common_protos-1.73.0.tar.gz.provenance 5968 BLAKE2B 36ec8c8325dd097877874f29a6c9e8575e7cb0f49c42f81dd2986146bc690af37d8d47c6163b29dde2646544cd61fd057729043fb78b0012e6c972cec56c074d SHA512 e80a81c931fa25fdbc67c4607d23df98d5d52a5c803461c7f858a94da042b53fd248d1eef374477c0cd5d4cd42f56c7713452ae227e14a27f6636e04d8c01ae8
DIST googleapis_common_protos-1.73.1.tar.gz 147506 BLAKE2B 69f01483bb738a7b4aab13a6d16152699b3a1c7cc221eba0eebb09d511c39ef6093951cb916b44807a4fdc5d04bead28cf35a9943d8b129cadfd90fd2a747ae3 SHA512 8b2a4ddf80d08d09acbff5c246ee43a95ad66b7ebc91a1fdb8c5eb3074e41f64aea9161104bbe126fadf5855bf9dcbb3a86c2f6c7aa889251c2ac103af605e04
DIST googleapis_common_protos-1.73.1.tar.gz.provenance 6159 BLAKE2B f0a7a335e133cbb484e7cbf7486c6a448694ca67dc0d28b63ad0b7523503dfe646084ea1da4b07ee1434ac3fd4428c5536fee80cdf21248d60439530c2c5bbf3 SHA512 c5023e83b9e000f0b343faef1876e16056b0221748f04f50cb3153692754c8ba3e67988686bb881f6ee11901b5ed807d00fc75ab5598ee9d50d3f5ecbf2f3e20
+DIST googleapis_common_protos-1.74.0.tar.gz 151254 BLAKE2B 77cc297df72f6a9ec878cc7c98dab795ee3ed2848e35f72412e25266b5c878b9a32c5d73c935c913f0fb6a8c1a59c3ba2c7df82157dccc5cc5a561142131d216 SHA512 99b8d650aff8e9a26b2d5ed6bdb0f13bffcb4041d5d1d6519b8a3be7a45a2ca73d2b5dd51690a4bfe3bf14122fed34d3bc12b83996a6fcbab554e98f7d8132c0
+DIST googleapis_common_protos-1.74.0.tar.gz.provenance 5677 BLAKE2B 9203b2990e9456cbd7ba6ffe13ec27d1636d90c6c07219f872d085652dd6849343ecf9e12095b97474752d5d6a188330a47dd05fba8362f5b9467f1912d689ef SHA512 6cee6c16d59632e9d52c8adeb01660d70aaba4b9a0b6e547f6694e471b79eefe0caa9f3aaa054bf3a189a17a4955126e2639f2d861419f847a773d6a23be822c
diff --git a/dev-python/googleapis-common-protos/googleapis-common-protos-1.74.0.ebuild b/dev-python/googleapis-common-protos/googleapis-common-protos-1.74.0.ebuild
new file mode 100644
index 000000000000..41db217b68fa
--- /dev/null
+++ b/dev-python/googleapis-common-protos/googleapis-common-protos-1.74.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2020-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=gcp:google-cloud-sdk-py@oss-exit-gate-prod.iam.gserviceaccount.com
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python classes generated from the common protos in the googleapis repository"
+HOMEPAGE="
+ https://github.com/googleapis/python-api-common-protos/
+ https://pypi.org/project/googleapis-common-protos/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="
+ <dev-python/protobuf-7[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-3.15.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/jupyter-lsp/Manifest b/dev-python/jupyter-lsp/Manifest
index a64bbc3585b3..841121541092 100644
--- a/dev-python/jupyter-lsp/Manifest
+++ b/dev-python/jupyter-lsp/Manifest
@@ -1,2 +1,2 @@
-DIST jupyter_lsp-2.2.6.tar.gz 48948 BLAKE2B 9ab47f11d0d645527aa063029b0a4c259c139df4e2b31ba1bcfedd2df4c5f5bbb339fda0fa261a9e37d41672058cf2cb15c0a3580b712a2b2a83bcb66bc6c4d8 SHA512 bfe817f524ac91ba1452fdd73b238a39482d3e1dc23e358d03ad003413d9b4933a30054a4338b20227ada6b3bde28c4151b2bd73cbe9a74fb37076f58b2fe537
DIST jupyter_lsp-2.3.0.tar.gz 54823 BLAKE2B eb49e245a4218b17322c0d00c595766708f4780171ce2db538ae636bb35a2d558e3dc4beb1c624dc844101790ef705e73dbbd6fac8e4970451d0811cc0d378bc SHA512 7f3ee59cf0a42dc426c9084624f8c5314a294939df73a74e7822cc0f67b4394682b2375434074b2d0a5d7d44bee1286170367e9762c06bb2bc7b8cd7ba078963
+DIST jupyter_lsp-2.3.1.tar.gz 55677 BLAKE2B 60772e819471a18faa99e1f2f917d46cf33b218f96d20580089974ff0eb0677a4c291df596399e88189d32b00d7f7bf7035e7c46ad9ddb570a1312edde44001f SHA512 f7d13fdf4cbcec048b2a7fbf865994af6789f406cb7d9388999f42c873c144a663626d6cfe53b3bb4138e58abef724198719f69ea92a4284b22890fad3cc13e2
diff --git a/dev-python/jupyter-lsp/jupyter-lsp-2.2.6.ebuild b/dev-python/jupyter-lsp/jupyter-lsp-2.3.1.ebuild
index f4500fdfc7b3..4c555b00fed0 100644
--- a/dev-python/jupyter-lsp/jupyter-lsp-2.2.6.ebuild
+++ b/dev-python/jupyter-lsp/jupyter-lsp-2.3.1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~loong ppc64 ~riscv x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
RDEPEND="
dev-python/entrypoints[${PYTHON_USEDEP}]
@@ -59,13 +59,6 @@ EPYTEST_DESELECT=(
jupyter_lsp/tests/test_session.py::test_substitute_env
)
-python_prepare_all() {
- # Do not depend on pytest-cov or flake8
- sed -i -e '/--cov/d' -e '/--flake8/d' setup.cfg || die
-
- distutils-r1_python_prepare_all
-}
-
python_install_all() {
distutils-r1_python_install_all
mv "${ED}/usr/etc" "${ED}/etc" || die
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..d12ab8aeaca8 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 7100f5f39dd8..271137de443d 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2025 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/marshmallow/Manifest b/dev-python/marshmallow/Manifest
index 74c8a22243cc..9affc5276717 100644
--- a/dev-python/marshmallow/Manifest
+++ b/dev-python/marshmallow/Manifest
@@ -1,4 +1,4 @@
-DIST marshmallow-4.2.2.tar.gz 221404 BLAKE2B 08bdeffa85c8e371183d9f8888424c8edb5dc0a93ac7e2b92b03c742b6bda4db27446894f4e1e3153a2369b3f1448d58fafe34e585523c4b9757bd75bfb3502e SHA512 d13b9ce7110619379fd90b4cb4e5f94491dd30f2cd327d4444ed1b47d20ef6f3ccfa90069b263b4819f1527e80c4a9c6eb095686eb00ace9d9048b5c59230fe1
-DIST marshmallow-4.2.2.tar.gz.provenance 9855 BLAKE2B ee378252f6f40a4b9eda22e4a953051185c89ceab1ba10621b9ed19324e647382f65ee008bd65942d563a33bc60e5a0bd57ed5e3e758e7d639e7c4a8069c9c78 SHA512 556cfe4e7e89e777170cdbb43f3250c617be9fe3053f9ad846cc71db376c88809ea01a78d0f4dc315896cc9e1535561a83229d57e91e2e43236e46388e5e9dfe
DIST marshmallow-4.2.3.tar.gz 222932 BLAKE2B c7640718406368213a9eead71ea09f164cb632bc85540efdf05f549a02de9ad9d5a031d4301242aa59595c0624cf9a66e99d7d6c3db4622eaeda72d4705f92e5 SHA512 0226c570267e9b46f3c552b506ac2e9ed9f3add7817406cf5a6d5e7b8747bf6dd4d60adbb3aa72fde6753ed4a6dff0064991ce4f85d04e80d25af48f82dfbdf0
DIST marshmallow-4.2.3.tar.gz.provenance 9863 BLAKE2B 5bfcf10befed252b30a8aca9b54bd8ed74e481b35280adc87fb14b4610d39beff55ca2744a9a82ad77138517b857ab90ad221b373685057cb2ecf076a8bc9b3c SHA512 7fcdd2ef72c3faec800e140bd03f5351adbfb72ea76295fe238dc53a9bc80e2db8f3f3c8aed2f797664f865b0556b390a5fb7b9cb3afa96d9bb2ba829e235cdc
+DIST marshmallow-4.2.4.tar.gz 223104 BLAKE2B e017b6e9eb692ca2c156b71432f9e2435ef04cf48fbf3cb55256a851cda27d795bff8f0dc325fda669b7aa25b3628c2b595a5502d68d8c5a9bf46c8f642b030d SHA512 2765557986be8a5fccca228d28aed55560714f444f0e44d242c652900ab49922a297a389beeff29ae4935e64ec1f12fb1f876a30f9925c45de379d85a492f8b8
+DIST marshmallow-4.2.4.tar.gz.provenance 9718 BLAKE2B 1455de65902a0363b5aa2f6fc85809e5b3d365665cca5d3d13647c470ef41a0c4ceb967618716b89c860d620be83aeb9196d674f7cb7de18a4fcbeb8362f3cbc SHA512 35601d1ce0c4994d54f3583285ce2b822c528be76973d3ac9b21e6711c740e95bda37dfc2912b3bfc3aa8c1c46564636b3ec2d729dd4e6c0a01dc7bbc5c17537
diff --git a/dev-python/marshmallow/marshmallow-4.2.2.ebuild b/dev-python/marshmallow/marshmallow-4.2.4.ebuild
index c432ea319b3e..c432ea319b3e 100644
--- a/dev-python/marshmallow/marshmallow-4.2.2.ebuild
+++ b/dev-python/marshmallow/marshmallow-4.2.4.ebuild
diff --git a/dev-python/mediafile/Manifest b/dev-python/mediafile/Manifest
index 03f9f8428414..7266d3764ee9 100644
--- a/dev-python/mediafile/Manifest
+++ b/dev-python/mediafile/Manifest
@@ -1,2 +1,3 @@
DIST mediafile-0.13.0.gh.tar.gz 568406 BLAKE2B cc17f4c05fc0b5cf8ae7a9c16b80b9077aa6fff3dd9037f184f5a21af6a844acbbd0d807a9bade5b2d767494519ef3f555efe6bf7387b0187f612621c0056b12 SHA512 c6324b833918963cde0e00569e0d8e21b36aad508a7d9268fdfd1f5151dafa90f84dd54e78082a73f5441debbc6843d54166c9e4af642748350b74d3958daf40
DIST mediafile-0.14.0.gh.tar.gz 622631 BLAKE2B da29261941eca30b067eb08021d6adc9363920c6bc7b656db101e56d53fb7ff6bb3c8df42f61b97a9daa82fb901a025832160e81ef458b6be04abe27bb3b3d8c SHA512 4da707072d5f9262e04691f924ef8ab6da212918e61e3ea693017b66721563de5fb3ee3ed8f4db8035ad94526b7e7fd26107d4825ee76e0f41349bec7ad75a62
+DIST mediafile-0.15.0.gh.tar.gz 622616 BLAKE2B f8b36e6bd1400f55033fe7a85c76ba666890c42d75ea97dea241f7aea1bd8bb52113f4356b893cbb57f81fa3a66d8a19d3afad58d7c1cde6038acf418fea7f29 SHA512 4b2459a7274846f1db570bb18c93d6609945420107c1a91d62c75236f246042d961199e27d4a8fa19652fc9b1b82b31d7a4022a175e6b8ce89a40b387817b222
diff --git a/dev-python/mediafile/mediafile-0.15.0.ebuild b/dev-python/mediafile/mediafile-0.15.0.ebuild
new file mode 100644
index 000000000000..f9d3d5b77088
--- /dev/null
+++ b/dev-python/mediafile/mediafile-0.15.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Read and write audio files' tags in Python"
+HOMEPAGE="
+ https://github.com/beetbox/mediafile/
+ https://pypi.org/project/mediafile/
+"
+SRC_URI="
+ https://github.com/beetbox/mediafile/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/filetype-1.2.0[${PYTHON_USEDEP}]
+ >=media-libs/mutagen-1.46.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
diff --git a/dev-python/more-itertools/Manifest b/dev-python/more-itertools/Manifest
index 4506fa939801..5756b21ab354 100644
--- a/dev-python/more-itertools/Manifest
+++ b/dev-python/more-itertools/Manifest
@@ -1,2 +1,2 @@
-DIST more_itertools-10.7.0.tar.gz 127671 BLAKE2B 0540d13c0dc2918ea612a1f8ca651f6a0a27d1ab3b6b13160f0bca07fc8b80c0d4b5c175c466cde59d24d54d8ed1cc99f1765d1a559064b82e19ead196ae515c SHA512 a0b2b5d7ae4dc6ecc3c6b81dacccbe23174f31cf6eaba4bef27bf17f8b69a083cbad54818db870289d788da8bbffc362f8b34acb838a5af1c398bd85fbd6db5d
DIST more_itertools-10.8.0.tar.gz 137431 BLAKE2B 7f1a60679eaeed161580bbc7cb3b9bfb798f48828fb02559c70d91c8de0407d927961489b3cb10cb370f6da05cc5b21a0f6d1b6af3190ca4c7b6c39c1db1fd17 SHA512 541ed387a31ee9fe3576c857ea0d552b1280d48d6f94556f83dd813ce19e0f41a40e0ecc7b5b8cc4b854a0920c66ed9a09a6dd63322f597efac15378c532d59c
+DIST more_itertools-11.0.1.tar.gz 144739 BLAKE2B 0bd2374b8cf556e9b761ee1d6bd868873ee5f3d101fec523f43c8d4463aaa30b9182b547c40b94fb7bc73dc3d0f730cf1e71fd4457c5c7b6deb63bfd313390f5 SHA512 ac81911a3dd1a6a987eefc81f924392ce6cd09981fdeb484d059b9ca3caa13e8bdbf5df1aaa3068ec4ce3742d86343c8b6ac17964250102eb12b742526722e11
diff --git a/dev-python/more-itertools/more-itertools-10.7.0.ebuild b/dev-python/more-itertools/more-itertools-11.0.1.ebuild
index e1c0067bac58..569005c6a88b 100644
--- a/dev-python/more-itertools/more-itertools-10.7.0.ebuild
+++ b/dev-python/more-itertools/more-itertools-11.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
distutils_enable_sphinx docs \
dev-python/furo
diff --git a/dev-python/openapi-core/Manifest b/dev-python/openapi-core/Manifest
index 7d8594f292ce..86143d178c5d 100644
--- a/dev-python/openapi-core/Manifest
+++ b/dev-python/openapi-core/Manifest
@@ -2,5 +2,5 @@ DIST openapi_core-0.22.0.tar.gz 109242 BLAKE2B bf64e91e77b5a7a6ebd75a51cf0422b1c
DIST openapi_core-0.22.0.tar.gz.provenance 9826 BLAKE2B be43b254d91c0e1e91f3a7fef8a686eb17ff050073f019df1922718f1eec038fab7fbed9354c6533376f7b71f2c6da75964d44b09b4d9b1673f27fdd8a14a5eb SHA512 7e89655ca6480f1e758e158ff6071e064c52678d0138d501048306f348e1d3afb2506f5de848718d289bcd7eef25ecf2d97d51751fcdcb371b3c2f1f87fb45b7
DIST openapi_core-0.23.0.tar.gz 123506 BLAKE2B 332d145a5ce44a744620b5b3a39dc50225e0797a4c1402ff5a950d1f867dcaf7cabb7d17d14f82d5c6b91579020053e4550dd73d64189ea38d68e4ad3aa2bc63 SHA512 f5a5993903ee9f3ba028bd3ef31689b427c632c747745e85c3355f6de8157deb3dbcc1a7a1b97a54040acac24eee101e6ef6f83a78c4a894c6eb198cf8cf4346
DIST openapi_core-0.23.0.tar.gz.provenance 9634 BLAKE2B da5dfd0e64f268f6e1c7c78923a8d61e7fd3e8edd20e7b087786fcc721e93b1eb8568d4dc0b95b2bd261dc48db3a4496045ccc1faa9b70d563d592b635c6a4b2 SHA512 c0a334e3bb685f869729f26c2436f164545ef7e2d173319e27570c253611749620588ff2a863642f2106bb6a6039e677e22a35d1c8ae5f506eb738637e620b3a
-DIST openapi_core-0.23.0b1.tar.gz 109765 BLAKE2B 760b8a9b744a887a1680a0e15741c024457daad14ea08f641b2e1fd942c26880a9f4517b79522a794eb57caf9b76668b577921b3963fbb486b48d68a29ffd301 SHA512 7b11abe02392aff493a67e54174b043c28974bff3d9a0531341c6ab507a4f35aba68d184e62af4d1f06504936eedef9c5e366c61c2625d1a0dbfb699f2925c7b
-DIST openapi_core-0.23.0b1.tar.gz.provenance 9682 BLAKE2B d6d0bdb01863d9a08e56a3897cc3d57dd4b41e2c8a572e2f1f99ffa9d9304b460abf09fc13ba1225fcf27a0f19b42b3d6891a689de842c878c175d91094e19b9 SHA512 dfe76d562717815380cd9ca3f9f7d70b44278e4cc876b99df5ad2f12e5806ebc0d9bcf42752dbc926ef87808bbf8c9487723f1ddfa902952cf9439119aa989a9
+DIST openapi_core-0.23.1.tar.gz 124348 BLAKE2B b2b8ce9a92a7367ec1af8c9e7cfe5a0a6c4a76467ba3aefa89d3b5ca77986d57c2167baadce8c550abdf41cf27e87d9977c9a6afb88b27332cb0c107433200d3 SHA512 a61381c9a721173926293ff5af9312f7d9b1a474759528bf8444891bc95ec4486fe8f735deaeb96aaae1e39c727d30797abd5ad2445b8020a0a38cb351964b86
+DIST openapi_core-0.23.1.tar.gz.provenance 9692 BLAKE2B 660bc710207df92352071cb93f7d86f8bc28bc7d8cd74b467da500e60ab365bc01527fc15f9f5df38954fdfe5b886eb4a468cbb7a1f67ad79fc759a2c0b72fe2 SHA512 8ed9b49f65bb6461cf36fdfcd1fbd396484294006d121cea9cbbe2a4d1e817eae407ff625e65cf6995e3affb4ea5b9b246e93e1d7e2f92f07a2f4ba70a4b750c
diff --git a/dev-python/openapi-core/openapi-core-0.23.0_beta1.ebuild b/dev-python/openapi-core/openapi-core-0.23.1.ebuild
index 84e11d179acc..71472874011c 100644
--- a/dev-python/openapi-core/openapi-core-0.23.0_beta1.ebuild
+++ b/dev-python/openapi-core/openapi-core-0.23.1.ebuild
@@ -28,13 +28,13 @@ RDEPEND="
<dev-python/jsonschema-5[${PYTHON_USEDEP}]
>=dev-python/jsonschema-4.23.0[${PYTHON_USEDEP}]
<dev-python/jsonschema-path-0.5[${PYTHON_USEDEP}]
- >=dev-python/jsonschema-path-0.4.0_beta8[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-path-0.4.5[${PYTHON_USEDEP}]
dev-python/more-itertools[${PYTHON_USEDEP}]
dev-python/parse[${PYTHON_USEDEP}]
- <dev-python/openapi-schema-validator-0.7[${PYTHON_USEDEP}]
- >=dev-python/openapi-schema-validator-0.6.0[${PYTHON_USEDEP}]
+ <dev-python/openapi-schema-validator-0.9[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.7.0[${PYTHON_USEDEP}]
<dev-python/openapi-spec-validator-0.9[${PYTHON_USEDEP}]
- >=dev-python/openapi-spec-validator-0.8.0_beta3[${PYTHON_USEDEP}]
+ >=dev-python/openapi-spec-validator-0.8.0[${PYTHON_USEDEP}]
>=dev-python/werkzeug-2.1.0[${PYTHON_USEDEP}]
"
@@ -42,10 +42,11 @@ BDEPEND="
test? (
>=dev-python/aiohttp-3.8.4[${PYTHON_USEDEP}]
>=dev-python/aioitertools-0.11.0[${PYTHON_USEDEP}]
- dev-python/flask[${PYTHON_USEDEP}]
+ >=dev-python/django-4.0[${PYTHON_USEDEP}]
+ >=dev-python/flask-2.0[${PYTHON_USEDEP}]
>=dev-python/httpx-0.24.0[${PYTHON_USEDEP}]
dev-python/responses[${PYTHON_USEDEP}]
- >=dev-python/starlette-0.26.1[${PYTHON_USEDEP}]
+ >=dev-python/starlette-0.40.0[${PYTHON_USEDEP}]
dev-python/strict-rfc3339[${PYTHON_USEDEP}]
dev-python/webob[${PYTHON_USEDEP}]
)
@@ -62,10 +63,6 @@ EPYTEST_IGNORE=(
# TODO: these tests fail to collect
tests/integration/validation/test_security_override.py
tests/integration/validation/test_read_only_write_only.py
-
- # unhappy about modern django
- tests/integration/contrib/django/test_django_project.py
- tests/unit/contrib/django/test_django.py
)
src_prepare() {
diff --git a/dev-python/peewee/Manifest b/dev-python/peewee/Manifest
index e3fd0a970aab..48565534ee4c 100644
--- a/dev-python/peewee/Manifest
+++ b/dev-python/peewee/Manifest
@@ -3,3 +3,4 @@ DIST peewee-4.0.0.gh.tar.gz 902288 BLAKE2B 84da3be85bd3514c817fc4ace518729af47e4
DIST peewee-4.0.1.gh.tar.gz 919747 BLAKE2B 4218f58e536ba84c89cee8fed5234a38687af41b871794e2f355420699382e9f27d8dba72219808eef06e15380af261335662673d79b2617a3186c4e61e94807 SHA512 d86b33f7e2570076dda9e23868ba2558567d673e32a9e405210786390283a5fc40cc904ee11e1a2cb93980b2ececa3a3fe94143480f270acac896ec72c541ff8
DIST peewee-4.0.2.gh.tar.gz 926522 BLAKE2B 806cf98c98dbdcc1aa4e6288546bd573214d16bc1fe4fa3fdc7fe191c0f672f0e9887e3c17645e5f1deed1a22e443dac91949be6dab2a315f1e8a3561829a5cc SHA512 7c524108af91565301e38bc17806d8158a7d26db23142e407fdcc2f75dea7abce6585820164c99f9472559aa776c8477dbb8620e55f0dcd25facae767b94acb1
DIST peewee-4.0.3.gh.tar.gz 952221 BLAKE2B 3abbf959cfa0a52199f4575d607013d08d9dbdd7b4a08bb27bd379fa195e9c390c0e3e2c9b2b7a71e1c7b9c2f81a7ef90514ad5656abc75348f12a7858d302aa SHA512 c73d3fec97b818a2fce44e5410501f07ef5c2f62b01f2b92d1b49ffaec71cc9609e75fed8ecda924656a35e4ab38a68312b62dc1a57f580609d3610c563926a3
+DIST peewee-4.0.4.gh.tar.gz 952486 BLAKE2B 8f2b1ce7ff9199e3fc0b4ad469b4fbd06bb6e2ac2a3fe75e286b6ad3bcc583b5202a0395506431f4aa5acf1c88a23d9fe35625afe2f554cfa0675771593b4bf0 SHA512 2ec0d584db9884c0ccc6f0fee08d0b4abd9da5ecb72f5e93cf8fecaad7fbd801a9ddb80bf66ae07e3c094c0aae07ad34a230cee35dec9d3d0d2b256ff51d20dc
diff --git a/dev-python/peewee/peewee-4.0.4.ebuild b/dev-python/peewee/peewee-4.0.4.ebuild
new file mode 100644
index 000000000000..eb74eea6a486
--- /dev/null
+++ b/dev-python/peewee/peewee-4.0.4.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="Small Python ORM"
+HOMEPAGE="
+ https://github.com/coleifer/peewee/
+ https://pypi.org/project/peewee/
+"
+SRC_URI="
+ https://github.com/coleifer/peewee/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="examples +native-extensions test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ native-extensions? ( dev-db/sqlite:3= )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ native-extensions? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-db/postgresql
+ dev-python/psycopg:0[${PYTHON_USEDEP}]
+ sys-libs/timezone-data
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-rtd-theme
+
+src_prepare() {
+ default
+
+ # disable test failing on postgres 16
+ sed -e 's/test_timeout/_&/' -i tests/sqliteq.py || die
+}
+
+src_compile() {
+ if ! use native-extensions; then
+ local -x NO_SQLITE=1
+ fi
+
+ distutils-r1_src_compile
+}
+
+src_test() {
+ initdb -D "${T}"/pgsql || die
+ pg_ctl -w -D "${T}"/pgsql start -o "-h '' -k '${T}'" || die
+ createdb -h "${T}" peewee_test || die
+ psql -h "${T}" peewee_test -c 'create extension hstore;' || die
+
+ local -x PEEWEE_PSQL_HOST="${T}"
+ distutils-r1_src_test
+
+ pg_ctl -w -D "${T}"/pgsql stop || die
+}
+
+python_test() {
+ "${EPYTHON}" runtests.py -v 2 || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use examples && DOCS=( examples/ )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pybtex/Manifest b/dev-python/pybtex/Manifest
index 8134a6e2a87a..f85a2c16595b 100644
--- a/dev-python/pybtex/Manifest
+++ b/dev-python/pybtex/Manifest
@@ -1,2 +1,2 @@
-DIST pybtex-0.25.0.tar.gz 358178 BLAKE2B 9e126ef381527c889e25df3de843de4cbcc9010db20e05a89396fe253fddc1e1eee4093746878f2337bd23c846bc27c5593d335d2b8e700ac01795fbbc323150 SHA512 c7a6e29b7ab802d0c547ee97b8339f6d59b095618678d123065c59015cd85b94beadc7334af1a60103d6fc96dc7a8352aa08aae43f4a8facbc377d8723804c1d
DIST pybtex-0.25.1.tar.gz 406157 BLAKE2B 42c996b1d657fc19bc0ee32e30f6fa6a6015358bf5d2ee778fb2046924454b271f8acc5e1816a9437498223f971a91a913968a2f8cbbef67a5e7f725d045a3c4 SHA512 3a9a5afe76a376757a3228bb32dced1c0427c445bba51353ac71dccaa3d0996191be18571f6259feab79ae533422a0b66f4544a2fc2757a0afccedda0b053f2b
+DIST pybtex-0.26.0.tar.gz 448973 BLAKE2B 508c944d7cace6152c37b726fece67f427a3d5715b823521e6e52206011a1c4c06e058711244c8e76164de39177990ddabca3adf18129a8d40018e6dbfaf136a SHA512 af4993888a1682ddd79ee9a7c30566754f05c6f52da78d51b2f295dcf0169a57f6319a3871c859e9b861fcbe69ad7672039930c7df9affe75a3c941ee678f820
diff --git a/dev-python/pybtex/pybtex-0.25.0.ebuild b/dev-python/pybtex/pybtex-0.26.0.ebuild
index fb25c41d13cc..095a8e272926 100644
--- a/dev-python/pybtex/pybtex-0.25.0.ebuild
+++ b/dev-python/pybtex/pybtex-0.26.0.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_USE_PEP517=hatchling
PYTHON_COMPAT=( python3_{10..14} )
inherit distutils-r1 pypi
@@ -19,8 +19,9 @@ SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="
- dev-python/latexcodec[${PYTHON_USEDEP}]
- dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/latexcodec-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.01[${PYTHON_USEDEP}]
"
+EPYTEST_PLUGINS=()
distutils_enable_tests pytest
diff --git a/dev-python/pydevd/Manifest b/dev-python/pydevd/Manifest
index 148033740a66..a167875d9065 100644
--- a/dev-python/pydevd/Manifest
+++ b/dev-python/pydevd/Manifest
@@ -1 +1,2 @@
DIST PyDev.Debugger-pydev_debugger_3_4_1.gh.tar.gz 4308315 BLAKE2B 26d4611aa5af866a2deddd3f7bacd65f9e83a6ec9e1136243929d59953ef3fe0bec61fb66370f9a22312057bb3761fe89baaa176f15a9b0f02b91404cb4046b2 SHA512 3b86d1a33bce47286308dde695420b05b904bfc879d11cb0fb96dcf337e49a8c3255b2e9a651e62113cf0e3de8b3ae86db083a4e20413e81055312c4fbea6e6c
+DIST PyDev.Debugger-pydev_debugger_3_5_0.gh.tar.gz 4337398 BLAKE2B de41247d287531916e2964ae5cb078f225cd6755371a885931b0fa2d331d33c15079e06451bd348ea4352c531e4f250b898b6887e2d36c613b1aa8c89146a283 SHA512 2c8c304019569874d9d045d11b7ae16bcd088e34a8042e10d1358a655cbaee05c387fc5b67bb23e7a0009dfd988e1d452441b731c5899db696d4aff2d4cba7f3
diff --git a/dev-python/pydevd/pydevd-3.5.0.ebuild b/dev-python/pydevd/pydevd-3.5.0.ebuild
new file mode 100644
index 000000000000..d2078af07905
--- /dev/null
+++ b/dev-python/pydevd/pydevd-3.5.0.ebuild
@@ -0,0 +1,142 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 toolchain-funcs
+
+TAG="pydev_debugger_${PV//./_}"
+MY_P="PyDev.Debugger-${TAG}"
+DESCRIPTION="PyDev.Debugger (used in PyDev, PyCharm and VSCode Python)"
+HOMEPAGE="
+ https://github.com/fabioz/PyDev.Debugger/
+ https://pypi.org/project/pydevd/
+"
+SRC_URI="
+ https://github.com/fabioz/PyDev.Debugger/archive/${TAG}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="EPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-debug/gdb
+"
+BDEPEND="
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/untangle[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # Drop -O3 and -flto compiler args
+ # Make extension build failures fatal
+ sed -i \
+ -e 's/extra_link_args = extra_compile_args\[\:\]/pass/g' \
+ -e '/extra_compile_args/d' \
+ -e '/except/a\ raise' \
+ setup.py || die
+
+ # Disable tests incompatible with new package versions
+ sed -e '/TEST_\(DJANGO\|FLASK\)/s:True:False:' \
+ -i tests_python/debug_constants.py || die
+
+ # Clean up some prebuilt files
+ rm -r third_party || die
+ cd pydevd_attach_to_process || die
+
+ # Remove these Windows files
+ rm attach_{amd64,x86}.dll || die
+ rm inject_dll_{amd64,x86}.exe || die
+ rm run_code_on_dllmain_{amd64,x86}.dll || die
+ rm -r windows winappdbg || die
+
+ # Remove these MacOS files
+ rm attach_x86_64.dylib || die
+
+ # Remove these prebuilt linux files
+ rm attach_linux_{amd64,x86}.so || die
+
+ cd linux_and_mac || die
+ rm compile_mac.sh || die
+}
+
+src_compile() {
+ pushd pydevd_attach_to_process/linux_and_mac || die
+ # recompile removed file (extracted from compile_linux.sh)
+ $(tc-getBUILD_CXX) ${CXXFLAGS} ${CPPFLAGS} \
+ -o "../attach_linux_${ARCH}.so" \
+ ${LDFLAGS} -nostartfiles attach.cpp -ldl || die
+ popd || die
+
+ distutils-r1_src_compile
+
+ # C extensions
+ rm -r _pydevd* || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ # NB: upstream seems to run tests via runfiles.py but that script
+ # is a horror and it seems broken for us anyway
+ tests_python/test_debugger.py::test_attach_to_pid_halted
+ tests_python/test_debugger.py::test_attach_to_pid_no_threads
+ 'tests_python/test_debugger.py::test_path_translation[False]'
+ tests_python/test_debugger_json.py::test_attach_to_pid
+ tests_python/test_debugger_json.py::test_case_sys_exit_multiple_exception_attach
+ tests_python/test_debugger_json.py::test_evaluate_exception_trace
+ tests_python/test_debugger_json.py::test_gui_event_loop_custom
+ tests_python/test_debugger_json.py::test_path_translation_and_source_reference
+ tests_python/test_utilities.py::test_tracing_basic
+ tests_python/test_utilities.py::test_tracing_other_threads
+ # incompatible with xdist
+ tests_python/test_utilities.py::test_find_main_thread_id
+ tests_python/test_utilities.py::test_is_main_thread
+ # numpy-2?
+ tests_python/test_debugger_json.py::test_evaluate_numpy
+ )
+
+ case ${EPYTHON} in
+ python3.11)
+ EPYTEST_DESELECT+=(
+ tests_python/test_debugger.py::test_frame_eval_limitations
+ tests_python/test_debugger.py::test_remote_debugger_threads
+ )
+ ;;
+ python3.12)
+ EPYTEST_DESELECT+=(
+ # flaky
+ tests_python/test_debugger_json.py::test_step_next_step_in_multi_threads
+ )
+ ;;
+ esac
+
+ # this is only used to compare against getpid() to detect that xdist
+ # is being used
+ local -x PYDEV_MAIN_PID=1
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ # Remove this duplicate that is installed directly to /usr/
+ # These files are also correctly installed to the python site-packages dir
+ rm -r "${ED}/usr/pydevd_attach_to_process" || die
+}
diff --git a/dev-python/pypugjs/Manifest b/dev-python/pypugjs/Manifest
index fa7ee1db475d..0188d3813ebf 100644
--- a/dev-python/pypugjs/Manifest
+++ b/dev-python/pypugjs/Manifest
@@ -1,2 +1,2 @@
-DIST pypugjs-5.12.0.gh.tar.gz 58675 BLAKE2B cadfb20d4189058af691b32d5975fccfee35b0f4851c8f38d83370bc685369dcc75fe9250bbd089292df80dccf3ab34596ae50e2e60d9a8f62389a08d8798d58 SHA512 47460876018349b49fc04cde51cfee48f868b6364c5152dffc35ea3419f32c47ddab6789c442e4425a12d59c082e42d64ea001ef2c2df363d1fb1ec1a4e9f605
DIST pypugjs-6.0.1.gh.tar.gz 68176 BLAKE2B c32676bfc057e24cfe844a4cb1315416d215bb71a188e67842964655940da9e3d2d877c8e37be60c6123f4f23f62d2fd3f82a2c816f2708a1d84fedcc5544286 SHA512 52d371bf4e9db18dbaa4a28ce6116b481d57f7fbeae7ff13fbe4ed6c3b3e783cd52c9a858f325fc4d22e3cfd55c2cafdf8bda5f09dc0e446050d7d4d70b9639e
+DIST pypugjs-6.0.2.gh.tar.gz 70319 BLAKE2B 8f32d986e8d56da195eae4998291b2ae1719d1dff7b4b2125713f775bc3214f725dfe19a813d8d3241d97237585b325f7db2cde13bee01008e870193f1e1db2a SHA512 a26f0a29dcc7edccfff104cbe567d60ec4df8b8001b309193f0c58aadfdf4a7f94ae969b586b8df6cb704d3b2afad4793d269fa5f1f148c16d81ecd1c24c4eac
diff --git a/dev-python/pypugjs/pypugjs-5.12.0.ebuild b/dev-python/pypugjs/pypugjs-6.0.2.ebuild
index 3a6f09383da0..3a4f2571b131 100644
--- a/dev-python/pypugjs/pypugjs-5.12.0.ebuild
+++ b/dev-python/pypugjs/pypugjs-6.0.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -20,19 +20,19 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm64 ~riscv"
+KEYWORDS="~amd64 ~arm64 ~riscv"
RDEPEND="
- >=dev-python/six-1.15.0[${PYTHON_USEDEP}]
- >=dev-python/charset-normalizer-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.17.0[${PYTHON_USEDEP}]
+ >=dev-python/charset-normalizer-3.4.4[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
- >=dev-python/django-4.0.6[${PYTHON_USEDEP}]
- >=dev-python/flask-2.1.1[${PYTHON_USEDEP}]
- >=dev-python/jinja2-3.1.1[${PYTHON_USEDEP}]
- >=dev-python/mako-1.1.3[${PYTHON_USEDEP}]
- >=dev-python/tornado-6.0.4[${PYTHON_USEDEP}]
+ >=dev-python/django-4.2.25[${PYTHON_USEDEP}]
+ >=dev-python/flask-2.3.3[${PYTHON_USEDEP}]
+ >=dev-python/jinja2-3.1.6[${PYTHON_USEDEP}]
+ >=dev-python/mako-1.3.10[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.5.2[${PYTHON_USEDEP}]
)
"
diff --git a/dev-python/python-discovery/python-discovery-1.2.1.ebuild b/dev-python/python-discovery/python-discovery-1.2.1.ebuild
index cfb429e3e85e..f7b5f14bb19e 100644
--- a/dev-python/python-discovery/python-discovery-1.2.1.ebuild
+++ b/dev-python/python-discovery/python-discovery-1.2.1.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~riscv ~s390"
+KEYWORDS="~alpha ~amd64 ~riscv ~s390"
RDEPEND="
>=dev-python/filelock-3.15.4[${PYTHON_USEDEP}]
diff --git a/dev-python/redis/redis-7.2.1.ebuild b/dev-python/redis/redis-7.2.1.ebuild
index 3f5b33e41e8a..5ccd7d24d3a8 100644
--- a/dev-python/redis/redis-7.2.1.ebuild
+++ b/dev-python/redis/redis-7.2.1.ebuild
@@ -22,7 +22,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~riscv ~x86"
BDEPEND="
test? (
diff --git a/dev-python/rq/rq-2.7.0.ebuild b/dev-python/rq/rq-2.7.0.ebuild
index 8cb660d84640..9bcc4b32d8e6 100644
--- a/dev-python/rq/rq-2.7.0.ebuild
+++ b/dev-python/rq/rq-2.7.0.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
RDEPEND="
>=dev-python/click-5.0[${PYTHON_USEDEP}]
diff --git a/dev-python/setuptools-scm/setuptools-scm-10.0.5.ebuild b/dev-python/setuptools-scm/setuptools-scm-10.0.5.ebuild
index 4fcf8e52bbe7..be263d0b9b38 100644
--- a/dev-python/setuptools-scm/setuptools-scm-10.0.5.ebuild
+++ b/dev-python/setuptools-scm/setuptools-scm-10.0.5.ebuild
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~s390"
+KEYWORDS="~alpha ~amd64 ~s390"
# there's an optional dep on rich for cute logs
RDEPEND="
diff --git a/dev-python/tox/tox-4.51.0.ebuild b/dev-python/tox/tox-4.51.0.ebuild
index 29fcc6b3b239..7b005d7fa42d 100644
--- a/dev-python/tox/tox-4.51.0.ebuild
+++ b/dev-python/tox/tox-4.51.0.ebuild
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~riscv ~s390"
+KEYWORDS="~alpha ~amd64 ~riscv ~s390"
RDEPEND="
dev-python/cachetools[${PYTHON_USEDEP}]
@@ -36,6 +36,7 @@ BDEPEND="
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/hatch-vcs[${PYTHON_USEDEP}]
test? (
+ dev-python/argcomplete[${PYTHON_USEDEP}]
dev-python/build[${PYTHON_USEDEP}]
dev-python/distlib[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
diff --git a/dev-python/vcs-versioning/vcs-versioning-1.1.1.ebuild b/dev-python/vcs-versioning/vcs-versioning-1.1.1.ebuild
index fe82d4d03f08..ed9624f11056 100644
--- a/dev-python/vcs-versioning/vcs-versioning-1.1.1.ebuild
+++ b/dev-python/vcs-versioning/vcs-versioning-1.1.1.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~s390"
+KEYWORDS="~alpha ~amd64 ~s390"
RDEPEND="
>=dev-python/packaging-20[${PYTHON_USEDEP}]
diff --git a/dev-python/virtualenv/virtualenv-21.2.0.ebuild b/dev-python/virtualenv/virtualenv-21.2.0.ebuild
index 051df07f64d1..a60640ccdf1c 100644
--- a/dev-python/virtualenv/virtualenv-21.2.0.ebuild
+++ b/dev-python/virtualenv/virtualenv-21.2.0.ebuild
@@ -19,7 +19,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~riscv ~s390"
+KEYWORDS="~alpha ~amd64 ~riscv ~s390"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/werkzeug/Manifest b/dev-python/werkzeug/Manifest
index 3ce9daf0f67a..09d1e7b7f90e 100644
--- a/dev-python/werkzeug/Manifest
+++ b/dev-python/werkzeug/Manifest
@@ -4,3 +4,5 @@ DIST werkzeug-3.1.6.tar.gz 864736 BLAKE2B 2681147ff088da31f76293f8fb01a23c7bd266
DIST werkzeug-3.1.6.tar.gz.provenance 9249 BLAKE2B 214bbbf7dab32bcf74687a43ee0360ddc1b189bd4bd34aa8fea13bc778e9fcfb3cf49ce08cd7be264871d82001670c7530d6c25ead1eb3a24d84d85b5a162e34 SHA512 2c87f10036d40c0144d4d97f53df3f3eac3b0d0855a4a9e3f09bbf3a54b0ceb68a1679312be8a5233a6a52cab8a8a5f4ae1e86eaff5372dd4da4b829e89d4bcb
DIST werkzeug-3.1.7.tar.gz 875700 BLAKE2B 222d8d1a82f7a794247de2bc25748caf846a354ea29416fe18ba92ee35ac127491e84fdebbee530afd3ff7a9deecb4518d0000d20c3e4b9f035cbce6c01c1fdc SHA512 6764b63347e83ae918bdb4466356323f6c0d0357d35a8139363153a4acc156ad1dc8a823b7ef31c958ad2c01232507470b6e2a9cb8e3b1830fc4a588bd882655
DIST werkzeug-3.1.7.tar.gz.provenance 9355 BLAKE2B ddf7548b964b01f743cb2e9a6d71e23774d67a982a56e1aa543fe15dba4961d5ec5dccc18510843abc43ca30700e7d95664ba8764c174593f2cd9e8710843028 SHA512 b8b58321ee6198eeee26a13ef4fa147f323847cd1578ded97f7de5e207539735d3d8884cb11a41383ea877f7b93627bccc47c3f6ed1cd1f1728240c4f94bb6c3
+DIST werkzeug-3.1.8.tar.gz 875852 BLAKE2B 67b38af5e0771d119ee2a29bf8bdaade287a5d33b7d7bb4afde5d91d25c2da394f8ce3dd33554dcd1b449a68e1abfa322435d9ddb77b787f029194c13cfebb31 SHA512 78c1a4fe38b5e071defe7003af58bf50c38a5cc8132641c69e9ecaaa6ddba00856919082c239a1f1c8eeb2fe44e2a5d20a769baffc8ce3c110450461517eda87
+DIST werkzeug-3.1.8.tar.gz.provenance 9394 BLAKE2B 29f3bdec986cac338f1492d48b66a34a02d4c8dda867f25bacf25f7c14cedae397e444250fab2fbcc0e2e3806feace08afdf6171f47254f12416ef6f62664df3 SHA512 a5da9ad2248883ed075f986c7f0b93f945d7e27adc18a8e0386a82e33c25dec3aad238e61684100fcb2dee2b5939c1a9d8c84e204a97cccb6f801d9abd8b8581
diff --git a/dev-python/werkzeug/werkzeug-3.1.8.ebuild b/dev-python/werkzeug/werkzeug-3.1.8.ebuild
new file mode 100644
index 000000000000..3618b6e376d6
--- /dev/null
+++ b/dev-python/werkzeug/werkzeug-3.1.8.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYPI_VERIFY_REPO=https://github.com/pallets/werkzeug
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of various utilities for WSGI applications"
+HOMEPAGE="
+ https://palletsprojects.com/p/werkzeug/
+ https://pypi.org/project/Werkzeug/
+ https://github.com/pallets/werkzeug/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+ >=dev-python/markupsafe-2.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ephemeral-port-reserve[${PYTHON_USEDEP}]
+ >=dev-python/watchdog-2.3[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{timeout,xprocess} )
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ if ! has_version "dev-python/cryptography[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ "tests/test_serving.py::test_server[https]"
+ tests/test_serving.py::test_ssl_dev_cert
+ tests/test_serving.py::test_ssl_object
+ )
+ fi
+
+ # the default portage tempdir is too long for AF_UNIX sockets
+ local -x TMPDIR=/tmp
+ epytest
+}